EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_GetItemContents',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'AssetItems',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all of the files and folders in a folder.'
GO

IF OBJECT_ID('[Assets_GetItemContents]') IS NOT NULL DROP PROCEDURE [Assets_GetItemContents]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_GetItemContents]
(
	@Feed_Id INT,
	@AssetItem_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [AssetItems]
	 WHERE [Feed_Id] = @Feed_Id --Feed_Id needed to take advantage of UQ__AssetItems index
	   AND [Parent_AssetItem_Id] = @AssetItem_Id

END
GO

GRANT EXECUTE ON [Assets_GetItemContents] TO [ProGetUser_Role]