EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackagesV2_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackageVersionsV2_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the packages in a feed.'
GO

IF OBJECT_ID('[NuGetPackagesV2_GetPackages]') IS NOT NULL DROP PROCEDURE [NuGetPackagesV2_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackagesV2_GetPackages]
(
	@Feed_Id INT,
	@PackageIds_Psv VARCHAR(MAX) = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

	IF @PackageIds_Psv IS NULL
	BEGIN

		SELECT * 
		  FROM [NuGetPackageVersionsV2_Extended]
		 WHERE [Feed_Id] = @Feed_Id

	END
	ELSE
	BEGIN

		DECLARE @PackageIds TABLE ([Package_Id] VARCHAR(255) NOT NULL)
		INSERT INTO @PackageIds
		SELECT DISTINCT([Value_Text])
		  FROM dbo.CsvToTable(@PackageIds_Psv, '|')


		SELECT P.*
		  FROM @PackageIds I
		       INNER JOIN [NuGetPackageVersionsV2_Extended] P
			           ON P.[Feed_Id] = @Feed_Id
					  AND P.[Package_Id] = I.[Package_Id]

	END

END
GO

GRANT EXECUTE ON [NuGetPackagesV2_GetPackages] TO [ProGetUser_Role]
GO
