EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageDependents_GetPackageDependents',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'PackageDependents',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the dependents of a package.'
GO

IF OBJECT_ID('[PackageDependents_GetPackageDependents]') IS NOT NULL DROP PROCEDURE [PackageDependents_GetPackageDependents]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageDependents_GetPackageDependents]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200),
	@Group_Name VARCHAR(200),
	@Version_Text VARCHAR(100) NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SET @Group_Name = NULLIF(@Group_Name, '')

	SELECT PD.*
	  FROM [PackageDependents] PD
	 WHERE PD.[Feed_Id] = @Feed_Id
	   AND (PD.[Group_Name] = @Group_Name OR (PD.[Group_Name] IS NULL AND @Group_Name IS NULL))
	   AND PD.[Package_Name] = @Package_Name
	   AND ((@Version_Text IS NULL) OR  (@Version_Text IS NOT NULL AND PD.[Version_Text] = @Version_Text))

END
GO

GRANT EXECUTE ON [PackageDependents_GetPackageDependents] TO [ProGetUser_Role]
GO
