EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_SetCached',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the value indicating whether the package is cached.'
GO

IF OBJECT_ID('[ProGetPackages_SetCached]') IS NOT NULL DROP PROCEDURE [ProGetPackages_SetCached]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_SetCached]
(
	@Feed_Id INT,
	@Group_Name NVARCHAR(200),
	@Package_Name NVARCHAR(100),
	@Version_Text VARCHAR(255),
	@Cached_Indicator YNINDICATOR
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DECLARE @ProGetPackage_Id INT
		SET @ProGetPackage_Id = (SELECT [ProGetPackage_Id] FROM [ProGetPackages] WHERE [Feed_Id] = @Feed_Id AND [Group_Name] = @Group_Name AND [Package_Name] = @Package_Name)

		UPDATE [ProGetPackageVersions]
		   SET [Cached_Indicator] = @Cached_Indicator
		 WHERE [ProGetPackage_Id] = @ProGetPackage_Id
		   AND [Version_Text] = @Version_Text

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ProGetPackages_SetCached] TO [ProGetUser_Role]
GO