EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count for a Ruby Gem.'
GO

IF OBJECT_ID('[RubyGems_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [RubyGems_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Gem_Name VARCHAR(100),
	@Version_Text VARCHAR(50),
	@Platform_Text VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DECLARE @Gem_Id INT
		SET @Gem_Id = (SELECT [Gem_Id] FROM [RubyGems] WHERE [Feed_Id] = @Feed_Id AND [Gem_Name] = @Gem_Name)

		UPDATE [RubyGemVersions]
		   SET [Download_Count] = [Download_Count] + 1
		 WHERE [Gem_Id] = @Gem_Id
		   AND [Version_Text] = @Version_Text
		   AND [Platform_Text] = @Platform_Text

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [RubyGems_IncrementDownloadCount] TO [ProGetUser_Role]
GO