EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_DeleteGroup',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a user group from the system, but does not delete the users who belong to the group.'
GO

IF OBJECT_ID('[Users_DeleteGroup]') IS NOT NULL	DROP PROCEDURE [Users_DeleteGroup]
GO

CREATE PROCEDURE [Users_DeleteGroup]
(
	@Group_Name NVARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [Privileges]
	 WHERE [Principal_Name] = @Group_Name
	   AND [PrincipalType_Code] = 'G'
	   AND [UserDirectory_Id] = 1

	DELETE [UserGroups]
	 WHERE [Group_Name] = @Group_Name

	DELETE [Groups]
	 WHERE [Group_Name] = @Group_Name

	EXEC [Events_RaiseEvent] 'USRDLG', NULL, 'Group_Name', @Group_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Users_DeleteGroup] TO [ProGetUser_Role]
GO
